<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzs.ground.product.mapper.ThProductExtendMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.hzs.common.domain.scm.th.ThProductExtend">
        <id column="PK_ID" property="pkId" />
    <result column="CREATION_TIME" property="creationTime" />
    <result column="MODIFIED_TIME" property="modifiedTime" />
    <result column="DEL_FLAG" property="delFlag" />
    <result column="PK_COUNTRY" property="pkCountry" />
    <result column="PK_CREATOR" property="pkCreator" />
    <result column="PK_MODIFIED" property="pkModified" />
        <result column="PK_PRODUCT" property="pkProduct" />
        <result column="IS_PICK_UP" property="isPickUp" />
        <result column="IS_PRIZE" property="isPrize" />
        <result column="IS_BAR_CODE" property="isBarCode" />
        <result column="IS_MERGE" property="isMerge" />
        <result column="IS_GIFT" property="isGift" />
        <result column="WARNING_QUANTITY" property="warningQuantity" />
        <result column="IS_LAND_TRANS" property="isLandTrans" />
        <result column="IS_AIR_TRANS" property="isAirTrans" />
        <result column="IS_OCEAN_TRANS" property="isOceanTrans" />
        <result column="SORT" property="sort" />
        <result column="REPURCHASE_TYPE" property="repurchaseType" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        CREATION_TIME,
        MODIFIED_TIME,
        DEL_FLAG,
        PK_COUNTRY,
        PK_CREATOR,
        PK_MODIFIED,
        PK_ID, PK_PRODUCT, IS_PICK_UP, IS_PRIZE, IS_BAR_CODE, IS_MERGE, IS_GIFT, WARNING_QUANTITY, IS_LAND_TRANS, IS_AIR_TRANS, IS_OCEAN_TRANS, SORT, REPURCHASE_TYPE
    </sql>

</mapper>
